
#import <Cocoa/Cocoa.h>

@interface GCAppController : NSObject{

    IBOutlet NSMenu *statusMenu;

    NSStatusItem * statusItem;
    NSImage * statusImage;
    NSImage * statusHighlightImage;
}

@property NSInteger preferenceNumber;
@property BOOL loginBool;

@property NSInteger answer;

@property (retain) NSString *stringForMinute;
@property NSInteger minuteNumber;
@property (retain) NSString *stringForHour;
@property NSInteger hourNumber;

-(void) tick:(id)sender;

//MenuItem Outlets
@property (weak) IBOutlet NSMenuItem *standardMenuItem;
@property (weak) IBOutlet NSMenuItem *hexMenuItem;
@property (weak) IBOutlet NSMenuItem *binaryMenuItem;
@property (weak) IBOutlet NSMenuItem *decASCII_MenuItem;
@property (weak) IBOutlet NSMenuItem *binASCII_MenuItem;
@property (weak) IBOutlet NSMenuItem *equationMenuItem;
@property (weak) IBOutlet NSMenuItem *loginItem;

//Menu Items Actions
-(IBAction)exit:(id)sender;

-(IBAction)loginItem:(id)sender;

-(IBAction)standardMode:(id)sender;
-(IBAction)hexMode:(id)sender;
-(IBAction)binaryMode:(id)sender;
-(IBAction)decASCII_Mode:(id)sender;
-(IBAction)binASCII_Mode:(id)sender;
-(IBAction)equationMode:(id)sender;

@end
